Tp::Service::ChannelInterfaceMergeableConferenceAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | List of all members
Tp::Service::ChannelInterfaceMergeableConferenceAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
void | Merge (const QDBusObjectPath &channel, const QDBusMessage &dbusMessage)

## Additional Inherited Members
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.MergeableConference.DRAFT".

## Member Function Documentation

void Tp::Service::ChannelInterfaceMergeableConferenceAdaptor::Merge | ( | const QDBusObjectPath & | channel,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `Merge` on this object.

Adaptees should export this method as a Qt slot with the following signature: void merge(const QDBusObjectPath& channel, const Tp::Service::ChannelInterfaceMergeableConferenceAdaptor::MergeContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Request that the given channel be incorporated into this channel.

The given channel SHOULD be added to ChannelInterfaceConferenceInterface::Channels if and only if the underlying protocol signals the merge in some way. It MUST NOT be added to ChannelInterfaceConferenceInterface::InitialChannels (to preserve immutability).

In GSM it is possible to merge additional calls into an ongoing conference.

In XMPP this method could be implemented to merge a 1-1 Text channel into a MUC Text channel by inviting the peer from the Text channel into the MUC, or to merge a 1-1 Jingle call into a Muji call by inviting the peer from the Jingle call into the Muji call. (MUC and Muji channels are both implemented by XMPP MUCs, with Handle_Type_Room.)

Parameters

  channel | A channel with the same \\\ \\link ChannelInterface::requestPropertyChannelType() ChannelInterface::ChannelType \\endlink \\htmlonly as this one, but with \\endhtmlonly \\link ChannelInterface::requestPropertyTargetHandleType() ChannelInterface::TargetHandleType \\endlink \\htmlonly = CONTACT.